Bug 1229621 - Quota: Seeing error message in brick logs "E [posix-handle.c:157:posix_make_ancestryfromgfid] 0-vol0-posix: could not read the link from the gfid handle /rhs/brick1/b1/.glusterfs/a3/f3/a3f3664f-df98-448e-b5c8-924349851c7e (No such file or directory)"
Summary: Quota: Seeing error message in brick logs "E [posix-handle.c:157:posix_make_a...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: quota
Version: rhgs-3.1
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
: RHGS 3.1.1
Assignee: Vijaikumar Mallikarjuna
QA Contact: Anil Shah
URL:
Whiteboard:
: 1251447 (view as bug list)
Depends On:
Blocks: 1223636 1251449 1251815 1253260
TreeView+ depends on / blocked
 
Reported: 2015-06-09 09:20 UTC by Anil Shah
Modified: 2016-09-17 12:42 UTC (History)
10 users (show)

Fixed In Version: glusterfs-3.7.1-12
Doc Type: Bug Fix
Doc Text:
Previously, when the disk quota exceeded, "could not read the link from the gfid handle /rhs/brick1/b1/.glusterfs/a3/f3/a3f3664f-df98-448e-b5c8-924349851c7e (No such file or directory)" error was seen in the brick logs. With this fix, these errors are not logged.
Clone Of:
Environment:
Last Closed: 2015-10-05 07:10:58 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1845 0 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.1 update 2015-10-05 11:06:22 UTC

Description Anil Shah 2015-06-09 09:20:37 UTC
Description of problem:

When disk quota exceeded, seeing below error message in  brick logs.
E [posix-handle.c:157:posix_make_ancestryfromgfid] 0-vol0-posix: could not read the link from the gfid handle /rhs/brick1/b1/.glusterfs/a3/f3/a3f3664f-df98-448e-b5c8-924349851c7e (No such file or directory)


Version-Release number of selected component (if applicable):

[root@darkknight bricks]# rpm -qa | grep glusterfs
glusterfs-3.7.0-3.el6rhs.x86_64
glusterfs-server-3.7.0-3.el6rhs.x86_64
glusterfs-api-3.7.0-3.el6rhs.x86_64
glusterfs-geo-replication-3.7.0-3.el6rhs.x86_64
glusterfs-libs-3.7.0-3.el6rhs.x86_64
glusterfs-fuse-3.7.0-3.el6rhs.x86_64
glusterfs-cli-3.7.0-3.el6rhs.x86_64
glusterfs-client-xlators-3.7.0-3.el6rhs.x86_64


How reproducible:

100%

Steps to Reproduce:

1. Create 2*2 distribute replicate volume
2. Mount volume as FUSE or NFS mount
3. Enable quota on volume and set limit-usage on root of the volume
4. Create some files from mount so that disk quota exceeds

Actual results:

Seeing below messages in brick logs:
==========================================
[2015-06-09 08:42:57.001922] E [posix-handle.c:157:posix_make_ancestryfromgfid] 0-vol0-posix: could not read the link from the gfid handle /rhs/brick1/b1/.glusterfs/a3/f3/a3f3664f-df98-448e-b5c8-924349851c7e (No such file or directory)
[2015-06-09 08:52:58.001734] E [posix-handle.c:157:posix_make_ancestryfromgfid] 0-vol0-posix: could not read the link from the gfid handle /rhs/brick1/b1/.glusterfs/a3/f3/a3f3664f-df98-448e-b5c8-924349851c7e (No such file or directory)
[2015-06-09 09:02:59.001733] E [posix-handle.c:157:posix_make_ancestryfromgfid] 0-vol0-posix: could not read the link from the gfid handle /rhs/brick1/b1/.glusterfs/a3/f3/a3f3664f-df98-448e-b5c8-924349851c7e (No such file or directory)



Expected results:



Additional info:

[root@darkknight bricks]# gluster v info vol0
 
Volume Name: vol0
Type: Distributed-Replicate
Volume ID: fd5c2240-113e-42a6-9271-8016d5b48c3f
Status: Started
Number of Bricks: 2 x 2 = 4
Transport-type: tcp
Bricks:
Brick1: 10.70.33.214:/rhs/brick1/b1
Brick2: 10.70.33.219:/rhs/brick1/b2
Brick3: 10.70.33.225:/rhs/brick1/b3
Brick4: 10.70.44.13:/rhs/brick1/b4
Options Reconfigured:
features.quota-deem-statfs: on
features.inode-quota: on
features.quota: on
features.uss: enable
performance.readdir-ahead: on

Comment 3 Vijaikumar Mallikarjuna 2015-08-07 11:13:12 UTC
*** Bug 1251447 has been marked as a duplicate of this bug. ***

Comment 6 Anil Shah 2015-08-25 12:34:56 UTC
Not seeing error logs in bricks logs file when disk quota exceeds. 
Bug verified on build glusterfs-3.7.1-12.el7rhgs.x86_64.

Comment 8 errata-xmlrpc 2015-10-05 07:10:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1845.html


Note You need to log in before you can comment on or make changes to this bug.